Subject: Re: Customer Service Advisor - Izza Febe Acoymo applied on Indeed
From: Izza Febe Acoymo <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Fri, 22 Oct 2021 17:50:29 -0500 (CDT)

Hi there, I am willing to be interviewed and looking forward to be part of your team. But, just for you to be aware, I don't have a Bpo experience, and I only work before as a VA. Please let me know if I am still qualified to pursue the role/position. Sincerely, Izza Acoymo

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=&lt;[email-masked]&gt;>

By replying or using an indeedemail.com email address, you agree that this conversation will be processed and analyzed according to the Indeed Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.